%bcond_with bootstrap

Name:           maven-wagon
Version:        3.5.3
Release:        %mkrel 1
Group:          Development/Java
Summary:        Tools to manage artifacts and deployment
License:        ASL 2.0
URL:            https://maven.apache.org/wagon
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://repo1.maven.org/maven2/org/apache/maven/wagon/wagon/%{version}/wagon-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.httpcomponents:httpclient)
BuildRequires:  mvn(org.apache.httpcomponents:httpcore)
BuildRequires:  mvn(org.apache.maven:maven-parent:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.slf4j:jcl-over-slf4j)
BuildRequires:  mvn(org.slf4j:slf4j-api)
%endif

Provides:       maven-wagon-file = %{version}-%{release}
Provides:       maven-wagon-http = %{version}-%{release}
Provides:       maven-wagon-http-shared = %{version}-%{release}
Provides:       maven-wagon-provider-api = %{version}-%{release}
Provides:       maven-wagon-providers = %{version}-%{release}

%description
Maven Wagon is a transport abstraction that is used in Maven's
artifact and repository handling code. Currently wagon has the
following providers:
* File
* HTTP
* FTP
* SSH/SCP
* WebDAV
* SCM (in progress)

%{?javadoc_package}

%prep
%setup -q -n wagon-%{version}

%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_dep :wagon-tck-http wagon-providers/wagon-http

# disable tests, missing dependencies
%pom_disable_module wagon-tcks
%pom_disable_module wagon-ssh-common-test wagon-providers
%pom_disable_module wagon-provider-test
%pom_remove_dep :wagon-provider-test
%pom_remove_dep :wagon-provider-test wagon-providers

# missing dependencies
%pom_disable_module wagon-ftp wagon-providers
%pom_disable_module wagon-http-lightweight wagon-providers
%pom_disable_module wagon-scm wagon-providers
%pom_disable_module wagon-ssh wagon-providers
%pom_disable_module wagon-ssh-common wagon-providers
%pom_disable_module wagon-ssh-external wagon-providers
%pom_disable_module wagon-webdav-jackrabbit wagon-providers

%pom_remove_plugin :maven-shade-plugin wagon-providers/wagon-http

%mvn_file ":wagon-{*}" %{name}/@1
%mvn_package ":wagon"

%build
# tests are disabled because of missing dependencies
%mvn_build -f -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

# Maven requires Wagon HTTP with classifier "shaded"
%mvn_alias :wagon-http :::shaded:

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE
%doc DEPENDENCIES




%changelog
* Thu May 23 2024 ns80 <ns80> 3.5.3-1.mga10
+ Revision: 2066353
- new version 3.5.3 for java 21

* Sat Jul 30 2022 neoclust <neoclust> 0:3.5.1-3.mga9
+ Revision: 1873352
- Obsoletes old packages to help upgrade

* Mon Jul 25 2022 neoclust <neoclust> 3.5.1-2.mga9
+ Revision: 1871087
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 3.5.1-1.mga9
+ Revision: 1870787
- New version 3.5.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Mar 01 2021 daviddavid <daviddavid> 0:3.4.2-1.mga9
+ Revision: 1694897
- Update to version 3.4.2

* Wed Aug 19 2020 neoclust <neoclust> 0:3.4.1-1.mga8
+ Revision: 1616321
- New version 3.4.1
- Rebuilt for JDK-11

* Sun Feb 16 2020 umeabot <umeabot> 0:3.3.3-3.mga8
+ Revision: 1531747
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 daviddavid <daviddavid> 0:3.3.3-2.mga8
+ Revision: 1440684
- Obsolete maven-wagon-ssh properly
- Disable SSH functionality

* Sat Aug 24 2019 daviddavid <daviddavid> 0:3.3.3-1.mga8
+ Revision: 1431611
- Update to version 3.3.3
- Disable SCM leaf subpackage to fix FTBFS on 32bit architectures

* Wed Jul 17 2019 daviddavid <daviddavid> 0:3.2.0-1.mga8
+ Revision: 1422177
- Update to upstream version 3.2.0

* Mon Dec 10 2018 daviddavid <daviddavid> 0:3.1.0-1.mga7
+ Revision: 1339838
- new version: 3.1.0 (sync with fc29)

* Wed Sep 19 2018 umeabot <umeabot> 0:2.10-5.mga7
+ Revision: 1264150
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 0:2.10-4.mga6
+ Revision: 1101419
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0:2.10-2.mga6
+ Revision: 977342
- First rebuild of the java stack
- sync package maven-wagon with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu May 21 2015 luigiwalser <luigiwalser> 0:2.6-10.mga5
+ Revision: 822469
- drop jackrabbit-webdav subpackage (from fedora)

* Wed Dec 31 2014 daviddavid <daviddavid> 0:2.6-9.mga5
+ Revision: 807596
- provides missing mvn(org.apache.maven.wagon:wagon-providers)

* Sun Dec 28 2014 dmorgan <dmorgan> 0:2.6-8.mga5
+ Revision: 806906
- Sync with fc21

* Fri Dec 26 2014 pterjan <pterjan> 0:2.6-7.mga5
+ Revision: 806277
- Clean rebuild
- Rebuild to get correct requires

* Wed Oct 15 2014 umeabot <umeabot> 0:2.6-5.mga5
+ Revision: 750129
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Mon Sep 08 2014 pterjan <pterjan> 0:2.6-2.mga5
+ Revision: 673449
- Fix to not self obsolete

* Wed Sep 03 2014 dmorgan <dmorgan> 0:2.6-1.mga5
+ Revision: 671693
- New version
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 dmorgan <dmorgan> 0:2.5-2.mga4
+ Revision: 484320
- Add shaded alias for wagon-http

* Fri Sep 20 2013 dmorgan <dmorgan> 0:2.5-1.mga4
+ Revision: 482556
- New version 2.5.1

* Tue Sep 17 2013 dmorgan <dmorgan> 0:2.4-1.mga4
+ Revision: 481012
- New version
- Java Stack Mass Rebuild
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 0:1.0-4.mga3
+ Revision: 293167
- Remove BR: ganymed-ssh2

* Fri Sep 07 2012 dmorgan <dmorgan> 0:1.0-3.mga3
+ Revision: 289307
- Fix build against jetty 8 and servlet 3.

* Tue Jan 03 2012 gil <gil> 0:1.0-2.mga2
+ Revision: 189819
- applied patch2

* Fri Dec 09 2011 dmorgan <dmorgan> 0:1.0-1.mga2
+ Revision: 179531
- Update to final 1.0

* Tue Jul 19 2011 dmorgan <dmorgan> 0:1.0-0.3.b7.21.mga2
+ Revision: 126295
- Install wagon-providers depmap too.
- Install wagon pom depmap.
- Use maven 3 for build.

* Thu Apr 28 2011 dmorgan <dmorgan> 0:1.0-0.3.b7.2.mga1
+ Revision: 92938
- Rebuild after bootstrapping
- imported package maven-wagon


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-0.3.b7.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 13 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.2.b7.1
- Update to beta 7.
- Adapt to current guidelines.
- Fix pom names.

* Thu Sep 9 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.2.b6.3
- Use javadoc:aggregate.
- Drop ant build.
- Use global instead of define.

* Fri May 14 2010 Yong Yang <yyang@redhat.com> 0:1.0-0.2.b6.2
- Create patch for wagon-http-shared pom.xml

* Wed May 12 2010 Yong Yang <yyang@redhat.com> 0:1.0-0.2.b6.1
- Update to beta 6, build with with_maven 1

* Wed Aug 19 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.2.b2.7
- Remove gcj parts.

* Wed Aug 19 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.2.b2.6
- Update to beta2 - sync with jpackage.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-0.3.a5.3.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-0.2.a5.3.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec  1 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0:1.0-0.1.a5.3.5
- include missing dir below _docdir

* Fri Oct 03 2008 Matt Wringe <mwringe@redhat.com> - 0:1.0-0.1.a5.3.4
- added patch to make it compatible with the newer version of jsch

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:1.0-0.1.a5.3.3
- drop repotag
- fix license tag

* Sat Apr 05 2008 Matt Wringe <mwringe@redhat.com> - 0:1.0-0.1.a5.3jpp.2
- Rebuild with new version of jsch

* Tue Mar 13 2007 Matt Wringe <mwringe@redhat.com> - 0:1.0-0.1.a5.3jpp.1
- Merge in the changes neeeded to build without jetty
- Fix rpmlint issues
- Generate new *-build.xml files from pom.xml files as origins of
  *-project files is unknown.
- Remove maven1 project.xml files from sources
- Comment out various section requiring maven or javadocs
  (to be re-enabled at a future time). Note that the ant:ant task
  for maven2 does not currently generate javadocs.

* Tue Apr 04 2006 Ralph Apel <r.apel@r-apel.de> - 0:1.0-0.a5.3jpp
- Require j-c-codec, to build with j-c-httpclient = 3.0

* Thu Dec 22 2005 Deepak Bhole <dbhole@redhat.com> - 0:1.0-0.a5.2jpp
- Commented out potentially superfluous dependencies.
- Disabled wagon-scm

* Mon Nov 07 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a5.1jpp
- First JPackage build
